FilterConfig (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.plugins.web.filters

## [Groovy] Class FilterConfig

- org.grails.plugins.web.filters.FilterConfig

- All Implemented Interfaces and Traits:
    Controller

      class FilterConfig
      extends java.lang.Object

  Authors:
    mike
    Graeme Rocher

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `groovy.lang.Closure` | `after`
    `groovy.lang.Closure` | `afterView`
    `groovy.lang.Closure` | `before`
    `java.lang.Object` | `filtersDefinition` This is the filters definition bean that declared the filter config.
    `boolean` | `initialised`
    `org.springframework.web.servlet.ModelAndView` | `modelAndView`
    `java.lang.String` | `name`
    `java.util.Map` | `scope`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FilterConfig ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.springframework.validation.Errors` | `getErrors()`
    `GrailsApplication` | `getGrailsApplication()`
    `java.lang.Object` | `getWiredFiltersDefinition()`
    `void` | `initializeMetaClass()`
    `java.lang.Object` | `methodMissing(java.lang.String methodName, java.lang.Object args)` When the filter does not have a particular method, it passes the call on to the filter definition class.
    `java.lang.Object` | `propertyMissing(java.lang.String propertyName)` When the filter does not have a particular property, it passes the request on to the filter definition class.
    `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### groovy.lang.Closure after

    - #### groovy.lang.Closure afterView

    - #### groovy.lang.Closure before

    - #### java.lang.Object filtersDefinition

      This is the filters definition bean that declared the filter config. Since it may contain injected services, etc., we delegate any missing properties or methods to it.

    - #### boolean initialised

    - #### org.springframework.web.servlet.ModelAndView modelAndView

    - #### java.lang.String name

    - #### java.util.Map scope

  - ### Constructor Detail

    - #### FilterConfig()

  - ### Method Detail

    - #### @java.lang.Override org.springframework.validation.Errors getErrors()

    - #### @java.lang.Override GrailsApplication getGrailsApplication()

    - #### java.lang.Object getWiredFiltersDefinition()

    - #### void initializeMetaClass()

    - #### @groovy.transform.CompileDynamic java.lang.Object methodMissing(java.lang.String methodName, java.lang.Object args)

      When the filter does not have a particular method, it passes the call on to the filter definition class.

    - #### @groovy.transform.CompileDynamic java.lang.Object propertyMissing(java.lang.String propertyName)

      When the filter does not have a particular property, it passes the request on to the filter definition class.

    - #### java.lang.String toString()